Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122221 - Review Request: nodejs-extend - Port of jQuery.extend for node.js and the browser
Summary: Review Request: nodejs-extend - Port of jQuery.extend for node.js and the bro...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1122224 1122225 1122226 1122228 1122239
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:04 UTC by Ralph Bean
Modified: 2014-08-15 02:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 19:04:33 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:04:36 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-extend.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-extend-1.3.0-1.fc20.src.rpm

Description:
nodejs-extend is a port of the classic extend() method from jQuery. It behaves
as you expect.  It is simple, tried and true.

Comment 1 Parag AN(पराग) 2014-07-23 09:28:11 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-extend.noarch: W: spelling-error Summary(en_US) jQuery -> j Query, query, equerry
nodejs-extend.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-extend.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
nodejs-extend.noarch: W: only-non-binary-in-usr-lib
nodejs-extend.src: W: spelling-error Summary(en_US) jQuery -> j Query, query, equerry
nodejs-extend.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-extend.src: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :0535626bfa1a43f9eff3356d38715a137ed1fe9742d5f4cafc6ec300775e43ba
upstream tarball :0535626bfa1a43f9eff3356d38715a137ed1fe9742d5f4cafc6ec300775e43ba

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 13:59:49 UTC
New Package SCM Request
=======================
Package Name: nodejs-extend
Short Description: Port of jQuery.extend for node.js and the browser
Upstream URL: https://npmjs.org/package/extend
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:39:21 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 19:02:17 UTC
nodejs-extend-1.3.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-extend-1.3.0-1.fc20

Comment 5 Fedora Update System 2014-07-23 19:02:29 UTC
nodejs-extend-1.3.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-extend-1.3.0-1.fc19

Comment 6 Ralph Bean 2014-07-23 19:04:33 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:50:57 UTC
nodejs-extend-1.3.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:53:30 UTC
nodejs-extend-1.3.0-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.